Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - t -

- t : cparse_params
- table : rb_objspace , force_finalize_list
- tag : yaml_token_s , rb_thread_struct , yaml_event_s , yaml_node_s , rb_vm_tag
- tag_data : yaml_emitter_s
- tag_directive : yaml_token_s
- tag_directives : yaml_event_s , yaml_document_s , yaml_parser_s , yaml_emitter_s
- tail : yaml_emitter_s , st_table , yaml_parser_s
- tailcall_optimization : rb_compile_option_struct
- target : QtfrNode , EncloseNode , UnsetAddr , CallNode , AnchorNode , join_arg
- target_empty_info : QtfrNode
- target_enc : OnigCompileInfo
- target_th : rb_tp_struct
- tbl : vtable , RNode , foreach_safe_arg , equal_data
- tc : rb_econv_elem_t
- th : copy_stream_struct , PepperInstance , rb_mutex_struct , rb_debug_inspector_struct , rb_thread_list_struct , rb_trace_arg_struct
- thgroup : rb_thread_struct
- thgroup_default : rb_vm_struct
- thr_crit_bup : evloop_params
- thread : invoke_queue , eval_queue , call_queue , th_update_param , th_vwait_param , autoload_data_i
- thread_abort_on_exception : rb_vm_struct
- thread_destruct_lock : rb_vm_struct
- thread_id : rb_thread_struct
- thread_machine_stack_size : rb_vm_struct
- thread_vm_stack_size : rb_vm_struct
- threshold_len : re_pattern_buffer
- tied_io_for_writing : rb_io_t
- timeout : select_args
- timew : time_object
- tm_got : time_object
- tms_cstime : tms
- tms_cutime : tms
- tms_stime : tms
- tms_utime : tms
- to : OnigPairCaseFoldCodes , rsock_send_arg
- to_kill : rb_thread_struct
- token : token_assoc , token_info
- token_available : yaml_parser_s
- token_number : yaml_simple_key_s
- token_table : cparse_params
- tokens : yaml_parser_s
- tokens_parsed : yaml_parser_s
- tolen : rsock_send_arg
- top : yaml_node_s , yaml_parser_s , yaml_emitter_s , yaml_document_s , yaml_parser_s
- top_self : rb_vm_struct , rb_thread_struct
- top_wrapper : rb_thread_struct
- total : total_data , copy_stream_struct
- total_allocated_object_num : rb_objspace
- total_freed_object_num : rb_objspace
- trace : trace_data , global_variable
- trace_arg : rb_thread_struct
- trace_instruction : rb_compile_option_struct
- trace_running : rb_vm_struct
- tracing : rb_tp_struct
- track : fc_result
- transcoder : rb_transcoding , transcoder_entry_t
- transfered : rb_fiber_struct
- trap_list : rb_vm_struct
- tsp : utime_args
- tstack : cparse_params
- tv : select_args
- tv_nsec : timespec
- tv_sec : timeval , timespec
- tv_usec : timeval
- type : EncloseNode , rb_iseq_struct , cfunc_data , yaml_node_s , AnchorNode , rb_backtrace_location_struct , RTypedData , rb_context_struct , glob_pattern , iseq_catch_table_entry , OnigToken , loaded_feature_searching , rb_method_definition_struct , _OnigStackType , NodeBase , type_cclass_key , st_table , inetsock_arg , iseq_link_element , yaml_event_s , yaml_token_s
- typed_flag : RTypedData
- typeddata : RVALUE
- tz_dsttime : timezone
- tz_minuteswest : timezone